wxSQLite3: wxSQLite3Hook Class Reference

wxSQLite3 3.0.6

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
wxSQLite3Hook Class Reference

Interface for a user defined hook function. More...

`#include <wxsqlite3.h>`

## Public Types
enum | wxUpdateType { SQLITE_DELETE = 9, SQLITE_INSERT = 18, SQLITE_UPDATE = 23 }
| Codes identifying the command for which the hook is called. More...

## Public Member Functions
| wxSQLite3Hook ()
| Default constructor. More...
virtual | ~wxSQLite3Hook ()
| Virtual destructor. More...
virtual bool | CommitCallback ()
| Execute the commit hook callback function. More...
virtual void | RollbackCallback ()
| Execute the rollback hook callback function. More...
virtual void | UpdateCallback (wxUpdateType WXUNUSED(type), const wxString &WXUNUSED(database), const wxString &WXUNUSED(table), wxLongLong WXUNUSED(rowid))
| Execute the hook callback function. More...
virtual int | WriteAheadLogCallback (const wxString &WXUNUSED(database), int WXUNUSED(numPages))
| Execute the write-ahead log hook callback function. More...
void | SetDatabase (wxSQLite3Database *db)
| Set the associated database. More...
wxSQLite3Database * | GetDatabase () const
| Get the associated database. More...

## Detailed Description

Interface for a user defined hook function.

## Member Enumeration Documentation

enum wxSQLite3Hook::wxUpdateType

Codes identifying the command for which the hook is called.

Enumerator
SQLITE_DELETE |
SQLITE_INSERT |
SQLITE_UPDATE |

## Constructor & Destructor Documentation

wxSQLite3Hook::wxSQLite3Hook | ( |  | ) |
| inline

Default constructor.

virtual wxSQLite3Hook::~wxSQLite3Hook | ( |  | ) |
| inlinevirtual

Virtual destructor.

## Member Function Documentation

virtual bool wxSQLite3Hook::CommitCallback | ( |  | ) |
| inlinevirtual

Execute the commit hook callback function.

Please refer to the SQLite documentation for further information.

Returns
  true to request rollback of the transaction, false to continue with commit

wxSQLite3Database* wxSQLite3Hook::GetDatabase | ( |  | ) | const
| inline

Get the associated database.

For the write-ahead log hook the associated database can be accessed.

Returns
  pointer to the associated database instance

Note
  Access to the associated database is only provided for write-ahead log hooks.

virtual void wxSQLite3Hook::RollbackCallback | ( |  | ) |
| inlinevirtual

Execute the rollback hook callback function.

Please refer to the SQLite documentation for further information.

void wxSQLite3Hook::SetDatabase | ( | wxSQLite3Database * | db | ) |
| inline

Set the associated database.

For the write-ahead log hook the associated database is set internally.

Parameters

  db | pointer to the associated database instance

virtual void wxSQLite3Hook::UpdateCallback | ( | wxUpdateType | WXUNUSEDtype,
|  | const wxString & | WXUNUSEDdatabase,
|  | const wxString & | WXUNUSEDtable,
|  | wxLongLong | WXUNUSEDrowid
| ) |  |
| inlinevirtual

Execute the hook callback function.

Please refer to the SQLite documentation for further information about the meaning of the parameters.

Parameters

  type | wxHookType. The value signifies what kind of operation is to be authorized.
  database | Name of the database
  table | Name of the table
  rowid | The rowid of the affected row

virtual int wxSQLite3Hook::WriteAheadLogCallback | ( | const wxString & | WXUNUSEDdatabase,
|  | int | WXUNUSEDnumPages
| ) |  |
| inlinevirtual

Execute the write-ahead log hook callback function.

Please refer to the SQLite documentation for further information about the meaning of the parameters.

Parameters

  database | Name of the database
  numPages | the number of pages

The documentation for this class was generated from the following file:

- wxsqlite3.h